timeouts:
  job:
    minutes: 185
  connection:
    minutes: 2
  actions:
    finalize:
      seconds: 60
context:
  test_character_delay: 10
  extra_kernel_args: ' systemd.log_level=warning '
reboot_to_fastboot: true
device_type: x15
job_name: 
  linux-stable-rc-linux-6.6.y--linux-6.6.y-7035639137-kselftest-net-net.mptcp-seccomp-tc-testing
priority: 76
visibility: public
metadata:
  git_ref: linux-6.6.y
  git_repo: https://gitlab.com/Linaro/lkft/mirrors/stable/linux-stable-rc
  git_sha: 8a44b995193268158ce81635e67ec70c4fe2d672
  git_describe: v6.6.32-744-g8a44b9951932
  kernel_version: 6.6.33-rc1
  kernel-config: 
    https://storage.tuxsuite.com/public/linaro/lkft/builds/2hVVZ79yBQtAOM2N3YOdp6MisP0/config
  build-url: 
    https://gitlab.com/Linaro/lkft/mirrors/stable/linux-stable-rc/-/pipelines/1321137038
  artifact-location: 
    https://storage.tuxsuite.com/public/linaro/lkft/builds/2hVVZ79yBQtAOM2N3YOdp6MisP0/
  toolchain: gcc-13
  email-notification: unknown
  build_name: gcc-13-lkftconfig-kselftest-kernel
  kselftest-net__url: unknown
  kselftest-net__version: unknown
  kselftest-net__revision: unknown
  kselftest-net.mptcp__url: unknown
  kselftest-net.mptcp__version: unknown
  kselftest-net.mptcp__revision: unknown
  kselftest-seccomp__url: unknown
  kselftest-seccomp__version: unknown
  kselftest-seccomp__revision: unknown
  kselftest-tc-testing__url: unknown
  kselftest-tc-testing__version: unknown
  kselftest-tc-testing__revision: unknown
actions:
- deploy:
    timeout:
      minutes: 40
    to: downloads
    images:
      kernel:
        url: 
          https://storage.tuxsuite.com/public/linaro/lkft/builds/2hVVZ79yBQtAOM2N3YOdp6MisP0/zImage
      dtb:
        url: 
          https://storage.tuxsuite.com/public/linaro/lkft/builds/2hVVZ79yBQtAOM2N3YOdp6MisP0/dtbs/am57xx-beagle-x15.dtb
      modules:
        url: 
          https://storage.tuxsuite.com/public/linaro/lkft/builds/2hVVZ79yBQtAOM2N3YOdp6MisP0/modules.tar.xz
        path: /
        compression: xz
      super:
        url: https://storage.tuxboot.com/debian/trixie/armhf/rootfs.ext4.xz
        format: ext4
        compression: xz
        overlays:
          kselftest:
            url: 
              https://storage.tuxsuite.com/public/linaro/lkft/builds/2hBWqmCRkNWjxvuzpqmK0hvLQS7/kselftest.tar.xz
            path: /opt/kselftests/default-in-kernel
            format: tar
            compression: xz
    os: debian
    postprocess:
      docker:
        image: linaro/kir:20240606
        local: true
        steps:
        - /kir/lava/board_setup.sh x15 rootfs "/usr/"
- deploy:
    timeout:
      minutes: 40
    to: fastboot
    docker:
      image: linaro/kir:20240606
      local: true
    images:
      super:
        url: downloads://rootfs.img
        apply-overlay: true
    os: debian
- boot:
    commands:
    - setenv fdtfile am57xx-beagle-x15.dtb
    - setenv console ttyS2,115200n8
    - setenv mmcdev 1
    - part number mmc 1 super part_num
    - setenv bootpart 1:${part_num}
    - run mmcboot
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: u-boot
- test:
    timeout:
      minutes: 5
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Mount local disk for tmp space
        run:
          steps:
          - export STORAGE_DEV=$(lava-target-storage SATA || lava-target-storage USB)
          - test -n "${STORAGE_DEV}" || lava-test-raise "STORAGE_DEV not found; job
            exit"
          - echo "y" | mkfs.ext4 ${STORAGE_DEV} || lava-test-raise "mkfs.ext4 ${STORAGE_DEV}
            failed; job exit"
          - mkdir -p /scratch
          - mount ${STORAGE_DEV} /scratch && echo "mounted" || lava-test-raise "mount
            ${STORAGE_DEV} failed; job exit"
          - df -h
          - mount
      name: prep-tmp-disk
      path: inline/prep.yaml
- test:
    timeout:
      minutes: 90
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: timesync-off
          description: Disable systemd time sync services
        run:
          steps:
          - systemctl stop systemd-timesyncd || true
      name: kselftest-timesync-off
      path: inline/timesync-off.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      revision: master
      lava-signal: kmsg
      path: automated/linux/kselftest/kselftest.yaml
      name: kselftest-net
      parameters:
        TST_CMDFILES: net
        KSELFTEST_PATH: /opt/kselftests/default-in-kernel
        SKIPFILE: skipfile-lkft.yaml
        BOARD: x15
        BRANCH: linux-6.6.y
        ENVIRONMENT: production
        SHARD_NUMBER: '1'
        SHARD_INDEX: '1'
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      revision: master
      lava-signal: kmsg
      path: automated/linux/kselftest/kselftest.yaml
      name: kselftest-net-mptcp
      parameters:
        TST_CMDFILES: net.mptcp
        KSELFTEST_PATH: /opt/kselftests/default-in-kernel
        SKIPFILE: skipfile-lkft.yaml
        BOARD: x15
        BRANCH: linux-6.6.y
        ENVIRONMENT: production
        SHARD_NUMBER: '1'
        SHARD_INDEX: '1'
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      revision: master
      lava-signal: kmsg
      path: automated/linux/kselftest/kselftest.yaml
      name: kselftest-seccomp
      parameters:
        TST_CMDFILES: seccomp
        KSELFTEST_PATH: /opt/kselftests/default-in-kernel
        SKIPFILE: skipfile-lkft.yaml
        BOARD: x15
        BRANCH: linux-6.6.y
        ENVIRONMENT: production
        SHARD_NUMBER: '1'
        SHARD_INDEX: '1'
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      revision: master
      lava-signal: kmsg
      path: automated/linux/kselftest/kselftest.yaml
      name: kselftest-tc-testing
      parameters:
        TST_CMDFILES: tc-testing
        KSELFTEST_PATH: /opt/kselftests/default-in-kernel
        SKIPFILE: skipfile-lkft.yaml
        BOARD: x15
        BRANCH: linux-6.6.y
        ENVIRONMENT: production
        SHARD_NUMBER: '1'
        SHARD_INDEX: '1'
